


class Target {
  PVector position;
  int sizeOfCage = 300;
  int w = sizeOfCage;
  float h = sizeOfCage * 1.5;
  int z = sizeOfCage;
  String handle;
  int picked = 0;
  String option;
  Target(int x, int y, String h, String t, float boxDist) {
    position = new PVector(x, y, boxDist);
    handle = h;
    option = t;
    
  }
  
  void update(float boxDist) {
    position.z = boxDist;
  }
  
  void show(boolean VOTING, boolean DEBUG) {
    pushMatrix();
    translate(position.x, position.y, position.z);
    if(DEBUG) {
      noFill();
      stroke(200);
      box(w, h, z);
    }
    //fill(255);
    //sphere(20);
    if(VOTING) {
      fill(255);
      textAlign(CENTER);
      textSize(40);
      text(option, 0, -220, 0);
    }
    popMatrix();
  }
  
  void reset() {
    picked = 0;  
  }
  
  void pick() {
    picked ++;
  }
  void unpick() {
    picked--;
  }
}
